%define debug_package	%{nil}
%define	Objects_Home	/lime-kernel-objects
%define	DIST		%(echo %{dist} | sed 's/\.//')
%define BaseName	lime-kernel-modules
%define ARCH		%(uname -m)
%define _binaries_in_noarch_packages_terminate_build 0

Summary:	This package contains all of the kernel objects for all of the kernels for CentOS 8 x86_64 for LiME

Packager:	Lawrence R. Rogers (lrr@cert.org)

Vendor:		cert.org
Name:		%{BaseName}-%{DIST}-%{ARCH}
Version:	1.9.1
%define REL 47
Release:	%{REL}

License:	GPL

Group:		Applications/Forensics Tools
URL:		https://code.google.com/p/lime-forensics/
Source:		lime-forensics-%{version}.tar.gz

BuildRoot:	%{_tmppath}/rpm-root-%{name}-v%{version}
BuildArch:	noarch

%description
This package provides kernel objects for CentOS 8 x86_64-based systems.

%prep
%setup -T -c

%build

%install
%{__install} -d %{buildroot}%{_datadir}/%{BaseName}-%{version}
cp -rp %{Objects_Home}/*%{DIST}*.*%{ARCH}* %{buildroot}%{_datadir}/%{BaseName}-%{version}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%attr(744, root, root)	%{_datadir}/%{BaseName}-%{version}/*/*.ko

%changelog
* Wed Dec 20 2023 Lawrence R. Rogers <lrr@cert.org> 1.9.1-47
* Release 1.9.1-47
	Kernel modules were added for the following kernels:
		4.18.0-522
		4.18.0-526

* Wed Nov 08 2023 Lawrence R. Rogers <lrr@cert.org> 1.9.1-46
* Release 1.9.1-46
	Kernel modules were added for the following kernels:
		4.18.0-519
		4.18.0-521

* Wed Oct 25 2023 Lawrence R. Rogers <lrr@cert.org> 1.9.1-45
* Release 1.9.1-45
	Kernel modules were added for the following kernels:
		4.18.0-518

* Wed Oct 18 2023 Lawrence R. Rogers <lrr@cert.org> 1.9.1-44
* Release 1.9.1-44
	Kernel modules were added for the following kernels:
		4.18.0-514
		4.18.0-516
		4.18.0-517

* Wed Sep 06 2023 Lawrence R. Rogers <lrr@cert.org> 1.9.1-43
* Release 1.9.1-43
	Kernel modules were added for the following kernels:
		4.18.0-513

* Wed Aug 30 2023 Lawrence R. Rogers <lrr@cert.org> 1.9.1-42
* Release 1.9.1-42
	Kernel modules were added for the following kernels:
		4.18.0-512

* Wed Aug 23 2023 Lawrence R. Rogers <lrr@cert.org> 1.9.1-41
* Release 1.9.1-41
	Kernel modules were added for the following kernels:
		4.18.0-508
		4.18.0-509
		4.18.0-511

* Wed Jul 12 2023 Lawrence R. Rogers <lrr@cert.org> 1.9.1-40
* Release 1.9.1-40
	Kernel modules were added for the following kernels:
		4.18.0-500

* Wed Jun 28 2023 Lawrence R. Rogers <lrr@cert.org> 1.9.1-39
* Release 1.9.1-39
	Kernel modules were added for the following kernels:
		4.18.0-499

* Wed Jun 21 2023 Lawrence R. Rogers <lrr@cert.org> 1.9.1-38
* Release 1.9.1-38
	Kernel modules were added for the following kernels:
		4.18.0-497

* Wed Jun 14 2023 Lawrence R. Rogers <lrr@cert.org> 1.9.1-37
* Release 1.9.1-37
	Kernel modules were added for the following kernels:
		4.18.0-494
		4.18.0-496

* Mon May 29 2023 Lawrence R. Rogers <lrr@cert.org> 1.9.1-36
* Release 1.9.1-36
	Kernel modules were added for the following kernels:
		4.18.0-408
		4.18.0-448
		4.18.0-481
		4.18.0-483
		4.18.0-485
		4.18.0-486
		4.18.0-488
		4.18.0-489
		4.18.0-490
		4.18.0-492

* Wed Jun  8 2022 Lawrence R. Rogers <lrr@cert.org> 1.9.1-35
* Release 1.9.1-35
	Kernel modules were added for the following kernels:
		4.18.0-394

* Wed Jun  1 2022 Lawrence R. Rogers <lrr@cert.org> 1.9.1-34
* Release 1.9.1-34
	Kernel modules were added for the following kernels:
		4.18.0-383

* Wed Mar 23 2022 Lawrence R. Rogers <lrr@cert.org> 1.9.1-33
* Release 1.9.1-33
	Kernel modules were added for the following kernels:
		4.18.0-373

* Wed Feb 16 2022 Lawrence R. Rogers <lrr@cert.org> 1.9.1-32
* Release 1.9.1-32
	Kernel modules were added for the following kernels:
		4.18.0-365

* Wed Jan 19 2022 Lawrence R. Rogers <lrr@cert.org> 1.9.1-31
* Release 1.9.1-31
	Kernel modules were added for the following kernels:
		4.18.0-358

* Wed Jan  5 2022 Lawrence R. Rogers <lrr@cert.org> 1.9.1-30
* Release 1.9.1-30
	Kernel modules were added for the following kernels:
		4.18.0-348.7.1

* Fri Nov 19 2021 Lawrence R. Rogers <lrr@cert.org> 1.9.1-29
* Release 1.9.1-29
	Kernel modules were added for the following kernels:
		4.18.0-348.2.1

* Wed Nov 10 2021 Lawrence R. Rogers <lrr@cert.org> 1.9.1-28
* Release 1.9.1-28
	Kernel modules were added for the following kernels:
		4.18.0-305.25.1

* Fri Oct 29 2021 Lawrence R. Rogers <lrr@cert.org> 1.9.1-27
* Release 1.9.1-27
	Kernel modules were added for the following kernels:
		4.18.0-348

* Wed Sep 29 2021 Lawrence R. Rogers <lrr@cert.org> 1.9.1-26
* Release 1.9.1-26
	Kernel modules were added for the following kernels:
		4.18.0-305.19.1
		4.18.0-305.17.1

* Wed Sep  1 2021 Lawrence R. Rogers <lrr@cert.org> 1.9.1-25
* Release 1.9.1-25
	Kernel modules were added for the following kernels:
		4.18.0-338

* Wed Aug 25 2021 Lawrence R. Rogers <lrr@cert.org> 1.9.1-24
* Release 1.9.1-24
	Kernel modules were added for the following kernels:
		4.18.0-331
		4.18.0-305.12.1

* Wed Aug  4 2021 Lawrence R. Rogers <lrr@cert.org> 1.9.1-23
* Release 1.9.1-23
	Kernel modules were added for the following kernels:
		4.18.0-326

* Wed Jul 21 2021 Lawrence R. Rogers <lrr@cert.org> 1.9.1-22
* Release 1.9.1-22
	Kernel modules were added for the following kernels:
		4.18.0-305.10.2
		4.18.0-305.7.1

* Wed Jul  7 2021 Lawrence R. Rogers <lrr@cert.org> 1.9.1-21
* Release 1.9.1-21
	Kernel modules were added for the following kernels:
		4.18.0-315

* Fri Jun 11 2021 Lawrence R. Rogers <lrr@cert.org> 1.9.1-20
* Release 1.9.1-20
	Kernel modules were added for the following kernels:
		4.18.0-305.3.1
		4.18.0-310

* Wed Jun  2 2021 Lawrence R. Rogers <lrr@cert.org> 1.9.1-19
* Release 1.9.1-19
	Kernel modules were added for the following kernels:
		4.18.0-305.0.1

* Wed May 26 2021 Lawrence R. Rogers <lrr@cert.org> 1.9.1-18
* Release 1.9.1-18
	Kernel modules were added for the following kernels:
		4.18.0-305

* Sun May  2 2021 Lawrence R. Rogers <lrr@cert.org> 1.9.1-17
* Release 1.9.1-17
	Kernel modules were added for the following kernels:
		4.18.0-301.1

* Thu Apr 15 2021 Lawrence R. Rogers <lrr@cert.org> 1.9.1-16
* Release 1.9.1-16
	Kernel modules were added for the following kernels:
		4.18.0-240.22.1

* Fri Mar 19 2021 Lawrence R. Rogers <lrr@cert.org> 1.9.1-15
* Release 1.9.1-15
	Kernel modules were added for the following kernels:
		4.18.0-294

* Fri Mar  5 2021 Lawrence R. Rogers <lrr@cert.org> 1.9.1-14
* Release 1.9.1-14
	Kernel modules were added for the following kernels:
		4.18.0-240.15.1

* Fri Feb 12 2021 Lawrence R. Rogers <lrr@cert.org> 1.9.1-13
* Release 1.9.1-13
	Kernel modules were added for the following kernels:
		4.18.0-277

* Fri Jan 22 2021 Lawrence R. Rogers <lrr@cert.org> 1.9.1-12
* Release 1.9.1-12
	Kernel modules were added for the following kernels:
		4.18.0-240.10.1

* Thu Dec 10 2020 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-11
* Release 1.1.r17-11
	Kernel modules were added for the following kernels:
		4.18.0-240.1.1
		4.18.0-240

* Fri Nov  6 2020 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-10
* Release 1.1.r17-10
	Kernel modules were added for the following kernels:
		4.18.0-193.28.1

* Thu Sep 24 2020 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-9
* Release 1.1.r17-9
	Kernel modules were added for the following kernels:
		4.18.0-193.19.1

* Fri Jul 31 2020 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-8
* Release 1.1.r17-8
	Kernel modules were added for the following kernels:
		4.18.0-193.14.2

* Fri Jun 19 2020 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-7
* Release 1.1.r17-7
	Kernel modules were added for the following kernels:
		4.18.0-193.6.3
		4.18.0-193.1.2
		4.18.0-193

* Fri Apr 17 2020 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-6
* Release 1.1.r17-6
	Kernel modules were added for the following kernels:
		4.18.0-147.8.1

* Fri Apr 10 2020 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-5
* Release 1.1.r17-5
	Kernel modules were added for the following kernels:
		4.18.0-147.5.1

* Fri Jan 17 2020 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-4
* Release 1.1.r17-4
	Kernel modules were added for the following kernels:
		4.18.0-147.3.1
		4.18.0-147.0.3
		4.18.0-147

* Mon Oct 21 2019 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-3
* Release 1.1.r17-3
	Rebuilt all kernel modules using the latest version of LiME.

* Fri Oct 18 2019 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-2
* Release 1.1.r17-2
	Kernel modules were added for the following kernels:
		4.18.0-80.11.2
		4.18.0-80.11.1
		4.18.0-80.7.2
		4.18.0-80.7.1
		4.18.0-80.4.2
		4.18.0-80.1.2

* Thu Oct  3 2019 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-1
* Release 1.1.r17-1
	Initial release. Kernel modules were added for the following kernels:
		4.18.0-80

